@ECHO OFF
COLOR 1A

REM ***********************************************************************
REM *** Script for global updating of TopSolid V6 environment variables ***
REM *** Daniel Santos - December 2012 - daniel.cadcam@ig.com.br         ***
REM *** Please read the readme.txt file before using this script.       ***
REM *** Provided as is. Use it at your own risk                         ***
REM ***********************************************************************

REM *******************************************************************
REM *** Start of variables definition                               ***
REM *******************************************************************
REM *** All values after "=" must be written in between quotes ("") ***
REM *******************************************************************

REM ### TOPHOME - Path of TopSolid V6 installation
SET TOPHOME="D:\\Missler\\V613"

REM ### TOPLANG - TopSolid V6 idiom - The valid values are the name of the folders in TOPHOME\local - Ignored if -etopLang= is used to launch TopSolid via cmd line.
SET TOPLANG="portugueseBR"

REM ### TOPCONFIG - Path of TopSolid V6 CONFIG folder
SET TOPCONFIG="\\\\3.128.244.197\\MFG_Standards\\TopSolid\\V6\\Config"

REM ### TOPGROUP - Path of TopSolid V6 GROUP folder
SET TOPGROUP="\\\\3.128.244.197\\MFG_Ferramental\\TopSolid\\V6\\Grupo"

REM ### TOPWORK - Default path of TopSolid V6 "Projects" folder
SET TOPWORK="D:\\Missler\\Projetos"

REM ### TOPTEMP - Path of TopSolid temporary files - Usually the same used in TOPWORK
SET TOPTEMP=%TOPWORK%

REM ### PP_DIR_INSTALL - Path of TopSolid V6 Post-processor executables
SET PP_DIR_INSTALL="\\\\3.128.244.197\\MFG_Standards\\TopSolid\\V6\\PP"

REM *******************************************************************************
REM *** End of variable definition - Don't change anything else beyond this point *
REM *******************************************************************************

REM ****************************************** 
REM * Capture SID of the current logged user *
REM ******************************************

SET SID=""
REG QUERY \\%COMPUTERNAME%\HKU | FIND "HKEY_USERS\S-1-5-21-" | FIND /v "_Classes" > %TEMP%\SID_Current_User.txt
FOR /F %%i IN (%TEMP%\SID_Current_User.txt) DO SET SID=%%i

REM ***************************************
REM * Begin the creation of the .reg file *
REM ***************************************

ECHO Windows Registry Editor Version 5.00 > %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\Cfg_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [HKEY_CURRENT_USER\Software\Missler Software\TopCam\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "DIR_INSTALL"=%PP_DIR_INSTALL% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [HKEY_CURRENT_USER\Software\Missler Software\TopPpExec\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "DIR_INSTALL"=%PP_DIR_INSTALL% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [HKEY_CURRENT_USER\Software\Missler Software\TopSolid by Missler Software\V613\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPTEMP"=%TOPTEMP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPWORK"=%TOPWORK% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [%SID%\Software\Missler Software\TopCam\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "DIR_INSTALL"=%PP_DIR_INSTALL% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [%SID%\Software\Missler Software\TopPpExec\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "DIR_INSTALL"=%PP_DIR_INSTALL% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO. >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

ECHO [%SID%\Software\Missler Software\TopSolid by Missler Software\V613\Environment] >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPCONFIG"=%TOPCONFIG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPGROUP"=%TOPGROUP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPHOME"=%TOPHOME% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPLANG"=%TOPLANG% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPTEMP"=%TOPTEMP% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg
ECHO "TOPWORK"=%TOPWORK% >> %USERPROFILE%\DESKTOP\CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg

REM ************************
REM *** End of .reg file ***
REM ************************

CLS
ECHO.
ECHO The file CFG_TopSolid_V6_%USERNAME%_%COMPUTERNAME%.reg has been 
ECHO created at your Desktop. Open it and revise it.
ECHO.
ECHO If you think it is correct, right click it and select "Merge"
ECHO.
ECHO Repeat this process with every user/machine running TopSolid
ECHO and accessing configurations and databases centralized in the
ECHO company's network .
ECHO.
PAUSE
EXIT

